Download it now!
Bug 113547 - FILEOPEN: DOCX: Incorrect numbering alignment
Summary: FILEOPEN: DOCX: Incorrect numbering alignment
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.1.0 target:6.0.0.1
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks: DOCX-Bullet-Number-Outline-Lists
  Show dependency treegraph
 
Reported: 2017-10-31 08:51 UTC by Xisco Faulí
Modified: 2018-01-09 13:25 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
sample (76.90 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2017-10-31 08:51 UTC, Xisco Faulí
Details
comparison MSO 2010 and LibreOffice 6.0 (115.77 KB, image/png)
2017-10-31 08:53 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-10-31 08:51:20 UTC
Created attachment 137395 [details]
sample

Steps to reproduce:
1. Open attached document.
2. Check numbering alignment in first page

Observed behaviour: it's 1.29 cm instead of 0.64 cms. Check attached image

reproduced in

Version: 6.0.0.0.alpha1+
Build ID: d30522e46ca884e9bc74af21711d9537e8118859
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2017-10-31 08:53:18 UTC
Created attachment 137396 [details]
comparison MSO 2010 and LibreOffice 6.0
Comment 2 Xisco Faulí 2017-10-31 08:56:27 UTC
Regression introduced by:

author	Miklos Vajna <vmiklos@collabora.co.uk>	2017-09-19 07:17:25 (GMT)
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2017-09-19 14:18:54 (GMT)
commit	c72a1a74b5b1064fc9cdf9994b11fce26d866e26 (patch)
tree	ebf199f2a5518452cdbc7354a6d04cd513911aed
parent	f00ca5f26492a56378da0c7e54003419d8c7dd05 (diff)
Related: tdf#112211 DOCX import: fix handling of missing first ind in <w:lvl>
Usually a DOCX numbering definition has multiple levels, each level
containing a <w:ind ... w:hanging="..."/> element. When this is missing,
we should default to the Word default, not to the Writer one.

This makes the DOCX version of tdf#106953 imported correctly, in
preparation of dropping the original fix that helped RTF only.

Bisected with: bibisect-linux64-6.0

Adding Cc: to Miklos Vajna
Comment 3 Xisco Faulí 2017-10-31 08:59:23 UTC
attachment 100916 [details] from bug 79940 is also affected. ( Numbering A to G in the second section )
Comment 4 Xisco Faulí 2017-11-07 21:51:59 UTC
Attached 119772 from bug 95189 is also affected
Comment 5 Justin L 2017-11-16 17:34:38 UTC
attachment 133992 [details] from bug 108496 is another example.
Comment 6 Commit Notification 2017-12-19 08:12:35 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a0bf35f7c0eedbe04783285a4a7071e68baeb7fe

tdf#113547 DOCX import: fix handling of stub numbering overrides

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Miklos Vajna 2017-12-19 10:16:34 UTC
The above fixes attachment 137395 [details] from the description -- if you still get problems with other documents, please open follow-up bugreports as usual. Thanks.
Comment 8 Commit Notification 2017-12-19 22:44:20 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=feb043331207ae66e1ac6cce613ff052f96d4f02&h=libreoffice-6-0

tdf#113547 DOCX import: fix handling of stub numbering overrides

It will be available in 6.0.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Xisco Faulí 2017-12-26 19:11:03 UTC
Verified in

Version: 6.1.0.0.alpha0+
Build ID: 2bf1cc7372088ec31ac5f0fb60de57feda59d3b7
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

Thanks Miklos!!
Comment 10 Xisco Faulí 2017-12-26 21:05:56 UTC
Follow-up bug created -> bug 114703
Comment 11 Justin L 2018-01-09 13:25:18 UTC
(In reply to Justin L from comment #5)
> attachment 133992 [details] from bug 108496 is another example.

Confirmed fixed by the commit for bug 114703 - thanks Miklos